Package org.mozilla.javascript.annotations

## Annotation Type JSStaticFunction

-     @Documented
      @Retention(RUNTIME)
      @Target(METHOD)
      public @interface JSStaticFunction

  An annotation that marks a Java method as JavaScript static function. This can be used as an alternative to the `jsStaticFunction_` prefix desribed in `ScriptableObject.defineClass(org.mozilla.javascript.Scriptable, java.lang.Class)`.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `java.lang.String` | `value` |

- - ### Element Detail

    - #### value

          java.lang.String value

      Default:
        ""